VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo:

## Avaliable Methods
public method | set_pipe ()
public method | get_file ()
public method | set_type ()
public method | get_host_device ()
public method | set_proxy ()
public method | get_pipe ()
public method | new ()
public method | set_file ()
public method | get_auto_detect ()
public method | set_network_location ()
public method | set_host_device ()
public method | get_no_rx_loss ()
public method | get_proxy ()
public method | get_network_location ()
public method | get_type ()
public method | set_auto_detect ()
public method | set_no_rx_loss ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo` class contains information about the physical resource backing a virtual serial port.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::get_auto_detect | ( |  | ) |

Gets the value of 'auto_detect' property.

Return values

  auto_detect | - The current value of the field. Flag indicating whether the virtual serial port is configured to automatically detect a suitable host device. optional#

Code:
click to view
# Number of lines of code in get_auto_detect: 4
sub get_auto_detect {
my ($self, %args) = @_;
return $self->{'auto_detect'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::get_file | ( |  | ) |

Gets the value of 'file' property.

Return values

  file | - The current value of the field. Path of the file backing the virtual serial port. optional#

Code:
click to view
# Number of lines of code in get_file: 4
sub get_file {
my ($self, %args) = @_;
return $self->{'file'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::get_host_device | ( |  | ) |

Gets the value of 'host_device' property.

Return values

  host_device | - The current value of the field. Name of the device backing the virtual serial port.

Optional#

Code:
click to view
# Number of lines of code in get_host_device: 4
sub get_host_device {
my ($self, %args) = @_;
return $self->{'host_device'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::get_network_location | ( |  | ) |

Gets the value of 'network_location' property.

Return values

  network_location | - The current value of the field. URI specifying the location of the network service backing the virtual serial port. If :attr:`Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo.type` is :attr:`Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingType.NETWORK_SERVER` , this field* is the location used by clients to connect to this server. The hostname part of the URI should either be empty or should specify the address of the host on which the virtual machine is running. If :attr:`Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo.type` is :attr:`Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingType.NETWORK_CLIENT` , this field* is the location used by the virtual machine to connect to the remote server. optional#

Code:
click to view
# Number of lines of code in get_network_location: 4
sub get_network_location {
my ($self, %args) = @_;
return $self->{'network_location'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::get_no_rx_loss | ( |  | ) |

Gets the value of 'no_rx_loss' property.

Return values

  no_rx_loss | - The current value of the field. Flag that enables optimized data transfer over the pipe. When the value is true, the host buffers data to prevent data overrun. This allows the virtual machine to read all of the data transferred over the pipe with no data loss. optional#

Code:
click to view
# Number of lines of code in get_no_rx_loss: 4
sub get_no_rx_loss {
my ($self, %args) = @_;
return $self->{'no_rx_loss'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::get_pipe | ( |  | ) |

Gets the value of 'pipe' property.

Return values

  pipe | - The current value of the field. Name of the pipe backing the virtual serial port. optional#

Code:
click to view
# Number of lines of code in get_pipe: 4
sub get_pipe {
my ($self, %args) = @_;
return $self->{'pipe'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::get_proxy | ( |  | ) |

Gets the value of 'proxy' property.

Return values

  proxy | - The current value of the field. Proxy service that provides network access to the network backing. If set, the virtual machine initiates a connection with the proxy service and forwards the traffic to the proxy. Optional#

Code:
click to view
# Number of lines of code in get_proxy: 4
sub get_proxy {
my ($self, %args) = @_;
return $self->{'proxy'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Backing type for the virtual serial port. BackingType#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 42
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'FILE' => ['file'],
'HOST_DEVICE' => ['host_device', 'auto_detect'],
'PIPE_SERVER' => ['pipe', 'no_rx_loss'],
'PIPE_CLIENT' => ['pipe', 'no_rx_loss'],
'NETWORK_SERVER' => ['network_location', 'proxy'],
'NETWORK_CLIENT' => ['network_location', 'proxy'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{file} = $args{'file'};
$self->{host_device} = $args{'host_device'};
$self->{auto_detect} = $args{'auto_detect'};
$self->{pipe} = $args{'pipe'};
$self->{no_rx_loss} = $args{'no_rx_loss'};
$self->{network_location} = $args{'network_location'};
$self->{proxy} = $args{'proxy'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.serial.backing_info');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Serial::BackingType'));
$self->set_binding_field('key' => 'file', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'host_device', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'auto_detect', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'pipe', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'no_rx_loss', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'network_location', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::URIType()));
$self->set_binding_field('key' => 'proxy', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::URIType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::set_auto_detect | ( |  | ) |

Sets the given value for 'auto_detect' property.

Parameters

  auto_detect | - New value for the field. Flag indicating whether the virtual serial port is configured to automatically detect a suitable host device.

Code:
click to view
# Number of lines of code in set_auto_detect: 5
sub set_auto_detect {
my ($self, %args) = @_;
$self->{'auto_detect'} = $args{'auto_detect'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::set_file | ( |  | ) |

Sets the given value for 'file' property.

Parameters

  file | - New value for the field. Path of the file backing the virtual serial port.

Code:
click to view
# Number of lines of code in set_file: 5
sub set_file {
my ($self, %args) = @_;
$self->{'file'} = $args{'file'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::set_host_device | ( |  | ) |

Sets the given value for 'host_device' property.

Parameters

  host_device | - New value for the field. Name of the device backing the virtual serial port.

Code:
click to view
# Number of lines of code in set_host_device: 5
sub set_host_device {
my ($self, %args) = @_;
$self->{'host_device'} = $args{'host_device'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::set_network_location | ( |  | ) |

Sets the given value for 'network_location' property.

Parameters

  network_location | - New value for the field. URI specifying the location of the network service backing the virtual serial port. If :attr:`Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo.type` is :attr:`Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingType.NETWORK_SERVER` , this field* is the location used by clients to connect to this server. The hostname part of the URI should either be empty or should specify the address of the host on which the virtual machine is running. If :attr:`Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo.type` is :attr:`Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingType.NETWORK_CLIENT` , this field* is the location used by the virtual machine to connect to the remote server.

Code:
click to view
# Number of lines of code in set_network_location: 5
sub set_network_location {
my ($self, %args) = @_;
$self->{'network_location'} = $args{'network_location'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::set_no_rx_loss | ( |  | ) |

Sets the given value for 'no_rx_loss' property.

Parameters

  no_rx_loss | - New value for the field. Flag that enables optimized data transfer over the pipe. When the value is true, the host buffers data to prevent data overrun. This allows the virtual machine to read all of the data transferred over the pipe with no data loss.

Code:
click to view
# Number of lines of code in set_no_rx_loss: 5
sub set_no_rx_loss {
my ($self, %args) = @_;
$self->{'no_rx_loss'} = $args{'no_rx_loss'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::set_pipe | ( |  | ) |

Sets the given value for 'pipe' property.

Parameters

  pipe | - New value for the field. Name of the pipe backing the virtual serial port.

Code:
click to view
# Number of lines of code in set_pipe: 5
sub set_pipe {
my ($self, %args) = @_;
$self->{'pipe'} = $args{'pipe'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::set_proxy | ( |  | ) |

Sets the given value for 'proxy' property.

Parameters

  proxy | - New value for the field. Proxy service that provides network access to the network backing. If set, the virtual machine initiates a connection with the proxy service and forwards the traffic to the proxy.

Code:
click to view
# Number of lines of code in set_proxy: 5
sub set_proxy {
my ($self, %args) = @_;
$self->{'proxy'} = $args{'proxy'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Serial::BackingInfo::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Backing type for the virtual serial port.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Serial.pm